Deprecating TLS 1.0 and TLS 1.1
RFC 8996
BCP 195
Kathleen Moriarty
Center for Internet Security (CIS)
Stephen Farrell
Trinity College Dublin
2021-03
Security Area
Internet Engineering Task Force
TLS
deprecate
TLSv1.0
TLSv1.1
This document formally deprecates Transport Layer Security (TLS) versions 1.0 (RFC 2246) and 1.1 (RFC 4346). Accordingly, those documents have been moved to Historic status. These versions lack support for current and recommended cryptographic algorithms and mechanisms, and various government and industry profiles of applications using TLS now mandate avoiding these old TLS versions. TLS version 1.2 became the recommended version for IETF protocols in 2008 (subsequently being obsoleted by TLS version 1.3 in 2018), providing sufficient time to transition away from older versions. Removing support for older versions from implementations reduces the attack surface, reduces opportunity for misconfiguration, and streamlines library and product maintenance.
This document also deprecates Datagram TLS (DTLS) version 1.0 (RFC 4347) but not DTLS version 1.2, and there is no DTLS version 1.1.
This document updates many RFCs that normatively refer to TLS version 1.0 or TLS version 1.1, as described herein. This document also updates the best practices for TLS usage in RFC 7525; hence, it is part of BCP 195.
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8996.
Copyright Notice
Copyright (c) 2021 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Simplified BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Simplified BSD License.
Table of Contents
- 1. Introduction
  - 1.1. RFCs Updated
  - 1.2. Terminology
- 2. Support for Deprecation
- 3. SHA-1 Usage Problematic in TLS 1.0 and TLS 1.1
- 4. Do Not Use TLS 1.0
- 5. Do Not Use TLS 1.1
- 6. Updates to RFC 7525
- 7. Operational Considerations
- 8. Security Considerations
- 9. IANA Considerations
- 10. References
  - 10.1. Normative References
  - 10.2. Informative References
- Acknowledgements
- Authors' Addresses
Introduction
Transport Layer Security (TLS) versions 1.0 [RFC2246] and 1.1 [RFC4346] were superseded by TLS 1.2 [RFC5246] in 2008, which has now itself been superseded by TLS 1.3 [RFC8446]. Datagram Transport Layer Security (DTLS) version 1.0 [RFC4347] was superseded by DTLS 1.2 [RFC6347] in 2012. Therefore, it is timely to further deprecate TLS 1.0, TLS 1.1, and DTLS 1.0. Accordingly, the aforementioned documents have been moved to Historic status.
Technical reasons for deprecating these versions include:
- They require the implementation of older cipher suites that are no longer desirable for cryptographic reasons, e.g., TLS 1.0 makes TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA mandatory to implement.
- There is a lack of support for current recommended cipher suites, especially authenticated encryption with associated data (AEAD) ciphers, which were not supported prior to TLS 1.2. Note that registry entries for no-longer-desirable ciphersuites remain in the registries, but many TLS registries were updated by [RFC8447], which indicates that such entries are not recommended by the IETF.
- The integrity of the handshake depends on SHA-1 hash.
- The authentication of the peers depends on SHA-1 signatures.
- Support for four TLS protocol versions increases the likelihood of misconfiguration.
- At least one widely used library has plans to drop TLS 1.1 and TLS 1.0 support in upcoming releases; products using such libraries would need to use older versions of the libraries to support TLS 1.0 and TLS 1.1, which is clearly undesirable.
Deprecation of these versions is intended to assist developers as additional justification to no longer support older (D)TLS versions and to migrate to a minimum of (D)TLS 1.2. Deprecation also assists product teams with phasing out support for the older versions, to reduce the attack surface and the scope of maintenance for protocols in their offerings.
RFCs Updated
This document updates the following RFCs that normatively reference TLS 1.0, TLS 1.1, or DTLS 1.0. The update is to obsolete usage of these older versions. Fallback to these versions is prohibited through this update. Specific references to mandatory minimum protocol versions of TLS 1.0 or TLS 1.1 are replaced by TLS 1.2, and references to minimum protocol version DTLS 1.0 are replaced by DTLS 1.2. Statements that "TLS 1.0 is the most widely deployed version and will provide the broadest interoperability" are removed without replacement.
[RFC3261] [RFC3329] [RFC3436] [RFC3470] [RFC3501] [RFC3552] [RFC3568] [RFC3656] [RFC3749] [RFC3767] [RFC3856] [RFC3871] [RFC3887] [RFC3903] [RFC3943] [RFC3983] [RFC4097] [RFC4111] [RFC4162] [RFC4168] [RFC4217] [RFC4235] [RFC4261] [RFC4279] [RFC4497] [RFC4513] [RFC4531] [RFC4540] [RFC4582] [RFC4616] [RFC4642] [RFC4680] [RFC4681] [RFC4712] [RFC4732] [RFC4785] [RFC4791] [RFC4823] [RFC4851] [RFC4964] [RFC4975] [RFC4976] [RFC4992] [RFC5018] [RFC5019] [RFC5023] [RFC5024] [RFC5049] [RFC5054] [RFC5091] [RFC5158] [RFC5216] [RFC5238] [RFC5263] [RFC5281] [RFC5364] [RFC5415] [RFC5422] [RFC5456] [RFC5734] [RFC5878] [RFC6012] [RFC6042] [RFC6083] [RFC6084] [RFC6176] [RFC6353] [RFC6367] [RFC6739] [RFC6749] [RFC6750] [RFC7030] [RFC7465] [RFC7525] [RFC7562] [RFC7568] [RFC8261] [RFC8422]
The status of [RFC7562], [RFC6042], [RFC5456], [RFC5024], [RFC4540], and [RFC3656] will be updated with permission of the Independent Submissions Editor.
In addition, these RFCs normatively refer to TLS 1.0 or TLS 1.1 and have already been obsoleted; they are still listed here and marked as updated by this document in order to reiterate that any usage of the obsolete protocol should use modern TLS: [RFC3316], [RFC3489], [RFC3546], [RFC3588], [RFC3734], [RFC3920], [RFC4132], [RFC4244], [RFC4347], [RFC4366], [RFC4492], [RFC4507], [RFC4572], [RFC4582], [RFC4934], [RFC5077], [RFC5081], [RFC5101], and [RFC5953].
Note that [RFC4642] has already been updated by [RFC8143], which makes an overlapping, but not quite identical, update as this document.
[RFC6614] has a requirement for TLS 1.1 or later, although it only makes an informative reference to [RFC4346]. This requirement is updated to be for TLS 1.2 or later.
[RFC6460], [RFC4744], and [RFC4743] are already Historic; they are still listed here and marked as updated by this document in order to reiterate that any usage of the obsolete protocol should use modern TLS.
This document updates DTLS [RFC6347]. [RFC6347] had allowed for negotiating the use of DTLS 1.0, which is now forbidden.
The DES and International Data Encryption Algorithm (IDEA) cipher suites specified in [RFC5469] were specifically removed from TLS 1.2 by [RFC5246]; since the only versions of TLS for which their usage is defined are now Historic, [RFC5469] has been moved to Historic as well.
The version-fallback Signaling Cipher Suite Value specified in [RFC7507] was defined to detect when a given client and server negotiate a lower version of (D)TLS than their highest shared version. TLS 1.3 ([RFC8446]) incorporates a different mechanism that achieves this purpose, via sentinel values in the ServerHello.Random field. With (D)TLS versions prior to 1.2 fully deprecated, the only way for (D)TLS implementations to negotiate a lower version than their highest shared version would be to negotiate (D)TLS 1.2 while supporting (D)TLS 1.3; supporting (D)TLS 1.3 implies support for the ServerHello.Random mechanism. Accordingly, the functionality from [RFC7507] has been superseded, and this document marks it as Obsolete.
Terminology
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Support for Deprecation
Specific details on attacks against TLS 1.0 and TLS 1.1, as well as their mitigations, are provided in [NIST800-52r2], [RFC7457], and other RFCs referenced therein. Although mitigations for the current known vulnerabilities have been developed, any future issues discovered in old protocol versions might not be mitigated in older library versions when newer library versions do not support those old protocols.
For example, NIST has provided the following rationale, copied with permission from Section 1.1, "History of TLS", of [NIST800-52r2]:
TLS 1.1, specified in RFC 4346 [24], was developed to address weaknesses discovered in TLS 1.0, primarily in the areas of initialization vector selection and padding error processing. Initialization vectors were made explicit to prevent a certain class of attacks on the Cipher Block Chaining (CBC) mode of operation used by TLS. The handling of padding errors was altered to treat a padding error as a bad message authentication code rather than a decryption failure. In addition, the TLS 1.1 RFC acknowledges attacks on CBC mode that rely on the time to compute the message authentication code (MAC). The TLS 1.1 specification states that to defend against such attacks, an implementation must process records in the same manner regardless of whether padding errors exist. Further implementation considerations for CBC modes (which were not included in RFC 4346 [24]) are discussed in Section 3.3.2.
TLS 1.2, specified in RFC 5246 [25], made several cryptographic enhancements, particularly in the area of hash functions, with the ability to use or specify the SHA-2 family of algorithms for hash, MAC, and Pseudorandom Function (PRF) computations. TLS 1.2 also adds authenticated encryption with associated data (AEAD) cipher suites.
TLS 1.3, specified in RFC 8446 [57], represents a significant change to TLS that aims to address threats that have arisen over the years. Among the changes are a new handshake protocol, a new key derivation process that uses the HMAC-based Extract-and-Expand Key Derivation Function (HKDF) [37], and the removal of cipher suites that use RSA key transport or static Diffie-Hellman ( DH) [sic] key exchanges, the CBC mode of operation, or SHA-1. Many extensions defined for use with TLS 1.2 and previous versions cannot be used with TLS 1.3.
SHA-1 Usage Problematic in TLS 1.0 and TLS 1.1
The integrity of both TLS 1.0 and TLS 1.1 depends on a running SHA-1 hash of the exchanged messages. This makes it possible to perform a downgrade attack on the handshake by an attacker able to perform 2^{77} operations, well below the acceptable modern security margin.
Similarly, the authentication of the handshake depends on signatures made using a SHA-1 hash or a concatenation of MD5 and SHA-1 hashes that is not appreciably stronger than a SHA-1 hash, allowing the attacker to impersonate a server when it is able to break the severely weakened SHA-1 hash.
Neither TLS 1.0 nor TLS 1.1 allows the peers to select a stronger hash for signatures in the ServerKeyExchange or CertificateVerify messages, making the only upgrade path the use of a newer protocol version.
See [Bhargavan2016] for additional details.
Do Not Use TLS 1.0
TLS 1.0 MUST NOT be used. Negotiation of TLS 1.0 from any version of TLS MUST NOT be permitted.
Any other version of TLS is more secure than TLS 1.0. While TLS 1.0 can be configured to prevent some types of interception, using the highest version available is preferred.
Pragmatically, clients MUST NOT send a ClientHello with ClientHello.client_version set to {03,01}. Similarly, servers MUST NOT send a ServerHello with ServerHello.server_version set to {03,01}. Any party receiving a Hello message with the protocol version set to {03,01} MUST respond with a "protocol_version" alert message and close the connection.
Historically, TLS specifications were not clear on what the record layer version number (TLSPlaintext.version) could contain when sending a ClientHello message. Appendix E of [RFC5246] notes that TLSPlaintext.version could be selected to maximize interoperability, though no definitive value is identified as ideal. That guidance is still applicable; therefore, TLS servers MUST accept any value {03,XX} (including {03,00}) as the record layer version number for ClientHello, but they MUST NOT negotiate TLS 1.0.
Do Not Use TLS 1.1
TLS 1.1 MUST NOT be used. Negotiation of TLS 1.1 from any version of TLS MUST NOT be permitted.
Pragmatically, clients MUST NOT send a ClientHello with ClientHello.client_version set to {03,02}. Similarly, servers MUST NOT send a ServerHello with ServerHello.server_version set to {03,02}. Any party receiving a Hello message with the protocol version set to {03,02} MUST respond with a "protocol_version" alert message and close the connection.
Any newer version of TLS is more secure than TLS 1.1. While TLS 1.1 can be configured to prevent some types of interception, using the highest version available is preferred. Support for TLS 1.1 is dwindling in libraries and will impact security going forward if mitigations for attacks cannot be easily addressed and supported in older libraries.
Historically, TLS specifications were not clear on what the record layer version number (TLSPlaintext.version) could contain when sending a ClientHello message. Appendix E of [RFC5246] notes that TLSPlaintext.version could be selected to maximize interoperability, though no definitive value is identified as ideal. That guidance is still applicable; therefore, TLS servers MUST accept any value {03,XX} (including {03,00}) as the record layer version number for ClientHello, but they MUST NOT negotiate TLS 1.1.
Updates to RFC 7525
"Recommendations for Secure Use of Transport Layer Security (TLS) and Datagram Transport Layer Security (DTLS)" is BCP 195, which is the most recent Best Current Practice for implementing TLS and was based on TLS 1.2. At the time of publication, TLS 1.0 and TLS 1.1 had not yet been deprecated. As such, BCP 195 is called out specifically to update text implementing the deprecation recommendations of this document.
This document updates Section 3.1.1 of [RFC7525] by changing SHOULD NOT to MUST NOT as follows:
- Implementations MUST NOT negotiate TLS version 1.0 [RFC2246].
Rationale: TLS 1.0 (published in 1999) does not support many modern, strong cipher suites. In addition, TLS 1.0 lacks a per-record Initialization Vector (IV) for CBC-based cipher suites and does not warn against common padding errors.
- Implementations MUST NOT negotiate TLS version 1.1 [RFC4346].
Rationale: TLS 1.1 (published in 2006) is a security improvement over TLS 1.0 but still does not support certain stronger cipher suites.
This document updates Section 3.1.2 of [RFC7525] by changing SHOULD NOT to MUST NOT and adding a reference to RFC 6347 as follows:
- Implementations MUST NOT negotiate DTLS version 1.0 [RFC4347] [RFC6347].
Version 1.0 of DTLS correlates to version 1.1 of TLS (see above).
Operational Considerations
This document is part of BCP 195 and, as such, reflects the understanding of the IETF (at the time of this document's publication) as to the best practices for TLS and DTLS usage.
Though TLS 1.1 has been obsolete since the publication of [RFC5246] in 2008, and DTLS 1.0 has been obsolete since the publication of [RFC6347] in 2012, there may remain some systems in operation that do not support (D)TLS 1.2 or higher. Adopting the practices recommended by this document for any systems that need to communicate with the aforementioned class of systems will cause failure to interoperate. However, disregarding the recommendations of this document in order to continue to interoperate with the aforementioned class of systems incurs some amount of risk. The nature of the risks incurred by operating in contravention to the recommendations of this document are discussed in Sections 2 and 3, and knowledge of those risks should be used along with any potential mitigating factors and the risks inherent to updating the systems in question when deciding how quickly to adopt the recommendations specified in this document.
Security Considerations
This document deprecates two older TLS protocol versions and one older DTLS protocol version for security reasons already described. The attack surface is reduced when there are a smaller number of supported protocols and fallback options are removed.
IANA Considerations
This document has no IANA actions.
References
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC2246]

The TLS Protocol Version 1.0
T. Dierks
C. Allen
January 1999
RFC 2246
DOI 10.17487/RFC2246
[RFC3261]

SIP: Session Initiation Protocol
J. Rosenberg
H. Schulzrinne
G. Camarillo
A. Johnston
J. Peterson
R. Sparks
M. Handley
E. Schooler
June 2002
RFC 3261
DOI 10.17487/RFC3261
[RFC3329]

Security Mechanism Agreement for the Session Initiation Protocol (SIP)
J. Arkko
V. Torvinen
G. Camarillo
A. Niemi
T. Haukka
January 2003
RFC 3329
DOI 10.17487/RFC3329
[RFC3436]

Transport Layer Security over Stream Control Transmission Protocol
A. Jungmaier
E. Rescorla
M. Tuexen
December 2002
RFC 3436
DOI 10.17487/RFC3436
[RFC3470]

Guidelines for the Use of Extensible Markup Language (XML) within IETF Protocols
S. Hollenbeck
M. Rose
L. Masinter
January 2003
BCP 70
RFC 3470
DOI 10.17487/RFC3470
[RFC3501]

INTERNET MESSAGE ACCESS PROTOCOL - VERSION 4rev1
M. Crispin
March 2003
RFC 3501
DOI 10.17487/RFC3501
[RFC3552]

Guidelines for Writing RFC Text on Security Considerations
E. Rescorla
B. Korver
July 2003
BCP 72
RFC 3552
DOI 10.17487/RFC3552
[RFC3568]

Known Content Network (CN) Request-Routing Mechanisms
A. Barbir
B. Cain
R. Nair
O. Spatscheck
July 2003
RFC 3568
DOI 10.17487/RFC3568
[RFC3656]

The Mailbox Update (MUPDATE) Distributed Mailbox Database Protocol
R. Siemborski
December 2003
RFC 3656
DOI 10.17487/RFC3656
[RFC3749]

Transport Layer Security Protocol Compression Methods
S. Hollenbeck
May 2004
RFC 3749
DOI 10.17487/RFC3749
[RFC3767]

Securely Available Credentials Protocol
S. Farrell, Ed.
June 2004
RFC 3767
DOI 10.17487/RFC3767
[RFC3856]

A Presence Event Package for the Session Initiation Protocol (SIP)
J. Rosenberg
August 2004
RFC 3856
DOI 10.17487/RFC3856
[RFC3871]

Operational Security Requirements for Large Internet Service Provider (ISP) IP Network Infrastructure
G. Jones, Ed.
September 2004
RFC 3871
DOI 10.17487/RFC3871
[RFC3887]

Message Tracking Query Protocol
T. Hansen
September 2004
RFC 3887
DOI 10.17487/RFC3887
[RFC3903]

Session Initiation Protocol (SIP) Extension for Event State Publication
A. Niemi, Ed.
October 2004
RFC 3903
DOI 10.17487/RFC3903
[RFC3943]

Transport Layer Security (TLS) Protocol Compression Using Lempel-Ziv-Stac (LZS)
R. Friend
November 2004
RFC 3943
DOI 10.17487/RFC3943
[RFC3983]

Using the Internet Registry Information Service (IRIS) over the Blocks Extensible Exchange Protocol (BEEP)
A. Newton
M. Sanz
January 2005
RFC 3983
DOI 10.17487/RFC3983
[RFC4097]

Middlebox Communications (MIDCOM) Protocol Evaluation
M. Barnes, Ed.
June 2005
RFC 4097
DOI 10.17487/RFC4097
[RFC4111]

Security Framework for Provider-Provisioned Virtual Private Networks (PPVPNs)
L. Fang, Ed.
July 2005
RFC 4111
DOI 10.17487/RFC4111
[RFC4162]

Addition of SEED Cipher Suites to Transport Layer Security (TLS)
H.J. Lee
J.H. Yoon
J.I. Lee
August 2005
RFC 4162
DOI 10.17487/RFC4162
[RFC4168]

The Stream Control Transmission Protocol (SCTP) as a Transport for the Session Initiation Protocol (SIP)
J. Rosenberg
H. Schulzrinne
G. Camarillo
October 2005
RFC 4168
DOI 10.17487/RFC4168
[RFC4217]

Securing FTP with TLS
P. Ford-Hutchinson
October 2005
RFC 4217
DOI 10.17487/RFC4217
[RFC4235]

An INVITE-Initiated Dialog Event Package for the Session Initiation Protocol (SIP)
J. Rosenberg
H. Schulzrinne
R. Mahy, Ed.
November 2005
RFC 4235
DOI 10.17487/RFC4235
[RFC4261]

Common Open Policy Service (COPS) Over Transport Layer Security (TLS)
J. Walker
A. Kulkarni, Ed.
December 2005
RFC 4261
DOI 10.17487/RFC4261
[RFC4279]

Pre-Shared Key Ciphersuites for Transport Layer Security (TLS)
P. Eronen, Ed.
H. Tschofenig, Ed.
December 2005
RFC 4279
DOI 10.17487/RFC4279
[RFC4346]

The Transport Layer Security (TLS) Protocol Version 1.1
T. Dierks
E. Rescorla
April 2006
RFC 4346
DOI 10.17487/RFC4346
[RFC4497]

Interworking between the Session Initiation Protocol (SIP) and QSIG
J. Elwell
F. Derks
P. Mourot
O. Rousseau
May 2006
BCP 117
RFC 4497
DOI 10.17487/RFC4497
[RFC4513]

Lightweight Directory Access Protocol (LDAP): Authentication Methods and Security Mechanisms
R. Harrison, Ed.
June 2006
RFC 4513
DOI 10.17487/RFC4513
[RFC4531]

Lightweight Directory Access Protocol (LDAP) Turn Operation
K. Zeilenga
June 2006
RFC 4531
DOI 10.17487/RFC4531
[RFC4540]

NEC's Simple Middlebox Configuration (SIMCO) Protocol Version 3.0
M. Stiemerling
J. Quittek
C. Cadar
May 2006
RFC 4540
DOI 10.17487/RFC4540
[RFC4582]

The Binary Floor Control Protocol (BFCP)
G. Camarillo
J. Ott
K. Drage
November 2006
RFC 4582
DOI 10.17487/RFC4582
[RFC4616]

The PLAIN Simple Authentication and Security Layer (SASL) Mechanism
K. Zeilenga, Ed.
August 2006
RFC 4616
DOI 10.17487/RFC4616
[RFC4642]

Using Transport Layer Security (TLS) with Network News Transfer Protocol (NNTP)
K. Murchison
J. Vinocur
C. Newman
October 2006
RFC 4642
DOI 10.17487/RFC4642
[RFC4680]

TLS Handshake Message for Supplemental Data
S. Santesson
October 2006
RFC 4680
DOI 10.17487/RFC4680
[RFC4681]

TLS User Mapping Extension
S. Santesson
A. Medvinsky
J. Ball
October 2006
RFC 4681
DOI 10.17487/RFC4681
[RFC4712]

Transport Mappings for Real-time Application Quality-of-Service Monitoring (RAQMON) Protocol Data Unit (PDU)
A. Siddiqui
D. Romascanu
E. Golovinsky
M. Rahman
Y. Kim
October 2006
RFC 4712
DOI 10.17487/RFC4712
[RFC4732]

Internet Denial-of-Service Considerations
M. Handley, Ed.
E. Rescorla, Ed.
IAB
December 2006
RFC 4732
DOI 10.17487/RFC4732
[RFC4743]

Using NETCONF over the Simple Object Access Protocol (SOAP)
T. Goddard
December 2006
RFC 4743
DOI 10.17487/RFC4743
[RFC4744]

Using the NETCONF Protocol over the Blocks Extensible Exchange Protocol (BEEP)
E. Lear
K. Crozier
December 2006
RFC 4744
DOI 10.17487/RFC4744
[RFC4785]

Pre-Shared Key (PSK) Ciphersuites with NULL Encryption for Transport Layer Security (TLS)
U. Blumenthal
P. Goel
January 2007
RFC 4785
DOI 10.17487/RFC4785
[RFC4791]

Calendaring Extensions to WebDAV (CalDAV)
C. Daboo
B. Desruisseaux
L. Dusseault
March 2007
RFC 4791
DOI 10.17487/RFC4791
[RFC4823]

FTP Transport for Secure Peer-to-Peer Business Data Interchange over the Internet
T. Harding
R. Scott
April 2007
RFC 4823
DOI 10.17487/RFC4823
[RFC4851]

The Flexible Authentication via Secure Tunneling Extensible Authentication Protocol Method (EAP-FAST)
N. Cam-Winget
D. McGrew
J. Salowey
H. Zhou
May 2007
RFC 4851
DOI 10.17487/RFC4851
[RFC4964]

The P-Answer-State Header Extension to the Session Initiation Protocol for the Open Mobile Alliance Push to Talk over Cellular
A. Allen, Ed.
J. Holm
T. Hallin
September 2007
RFC 4964
DOI 10.17487/RFC4964
[RFC4975]

The Message Session Relay Protocol (MSRP)
B. Campbell, Ed.
R. Mahy, Ed.
C. Jennings, Ed.
September 2007
RFC 4975
DOI 10.17487/RFC4975
[RFC4976]

Relay Extensions for the Message Sessions Relay Protocol (MSRP)
C. Jennings
R. Mahy
A. B. Roach
September 2007
RFC 4976
DOI 10.17487/RFC4976
[RFC4992]

XML Pipelining with Chunks for the Internet Registry Information Service
A. Newton
August 2007
RFC 4992
DOI 10.17487/RFC4992
[RFC5018]

Connection Establishment in the Binary Floor Control Protocol (BFCP)
G. Camarillo
September 2007
RFC 5018
DOI 10.17487/RFC5018
[RFC5019]

The Lightweight Online Certificate Status Protocol (OCSP) Profile for High-Volume Environments
A. Deacon
R. Hurst
September 2007
RFC 5019
DOI 10.17487/RFC5019
[RFC5023]

The Atom Publishing Protocol
J. Gregorio, Ed.
B. de hOra, Ed.
October 2007
RFC 5023
DOI 10.17487/RFC5023
[RFC5024]

ODETTE File Transfer Protocol 2.0
I. Friend
November 2007
RFC 5024
DOI 10.17487/RFC5024
[RFC5049]

Applying Signaling Compression (SigComp) to the Session Initiation Protocol (SIP)
C. Bormann
Z. Liu
R. Price
G. Camarillo, Ed.
December 2007
RFC 5049
DOI 10.17487/RFC5049
[RFC5054]

Using the Secure Remote Password (SRP) Protocol for TLS Authentication
D. Taylor
T. Wu
N. Mavrogiannopoulos
T. Perrin
November 2007
RFC 5054
DOI 10.17487/RFC5054
[RFC5091]

Identity-Based Cryptography Standard (IBCS) #1: Supersingular Curve Implementations of the BF and BB1 Cryptosystems
X. Boyen
L. Martin
December 2007
RFC 5091
DOI 10.17487/RFC5091
[RFC5158]

6to4 Reverse DNS Delegation Specification
G. Huston
March 2008
RFC 5158
DOI 10.17487/RFC5158
[RFC5216]

The EAP-TLS Authentication Protocol
D. Simon
B. Aboba
R. Hurst
March 2008
RFC 5216
DOI 10.17487/RFC5216
[RFC5238]

Datagram Transport Layer Security (DTLS) over the Datagram Congestion Control Protocol (DCCP)
T. Phelan
May 2008
RFC 5238
DOI 10.17487/RFC5238
[RFC5263]

Session Initiation Protocol (SIP) Extension for Partial Notification of Presence Information
M. Lonnfors
J. Costa-Requena
E. Leppanen
H. Khartabil
September 2008
RFC 5263
DOI 10.17487/RFC5263
[RFC5281]

Extensible Authentication Protocol Tunneled Transport Layer Security Authenticated Protocol Version 0 (EAP-TTLSv0)
P. Funk
S. Blake-Wilson
August 2008
RFC 5281
DOI 10.17487/RFC5281
[RFC5364]

Extensible Markup Language (XML) Format Extension for Representing Copy Control Attributes in Resource Lists
M. Garcia-Martin
G. Camarillo
October 2008
RFC 5364
DOI 10.17487/RFC5364
[RFC5422]

Dynamic Provisioning Using Flexible Authentication via Secure Tunneling Extensible Authentication Protocol (EAP-FAST)
N. Cam-Winget
D. McGrew
J. Salowey
H. Zhou
March 2009
RFC 5422
DOI 10.17487/RFC5422
[RFC5469]

DES and IDEA Cipher Suites for Transport Layer Security (TLS)
P. Eronen, Ed.
February 2009
RFC 5469
DOI 10.17487/RFC5469
[RFC5734]

Extensible Provisioning Protocol (EPP) Transport over TCP
S. Hollenbeck
August 2009
STD 69
RFC 5734
DOI 10.17487/RFC5734
[RFC5878]

Transport Layer Security (TLS) Authorization Extensions
M. Brown
R. Housley
May 2010
RFC 5878
DOI 10.17487/RFC5878
[RFC5953]

Transport Layer Security (TLS) Transport Model for the Simple Network Management Protocol (SNMP)
W. Hardaker
August 2010
RFC 5953
DOI 10.17487/RFC5953
[RFC6042]

Transport Layer Security (TLS) Authorization Using KeyNote
A. Keromytis
October 2010
RFC 6042
DOI 10.17487/RFC6042
[RFC6176]

Prohibiting Secure Sockets Layer (SSL) Version 2.0
S. Turner
T. Polk
March 2011
RFC 6176
DOI 10.17487/RFC6176
[RFC6353]

Transport Layer Security (TLS) Transport Model for the Simple Network Management Protocol (SNMP)
W. Hardaker
July 2011
STD 78
RFC 6353
DOI 10.17487/RFC6353
[RFC6367]

Addition of the Camellia Cipher Suites to Transport Layer Security (TLS)
S. Kanno
M. Kanda
September 2011
RFC 6367
DOI 10.17487/RFC6367
[RFC6739]

Synchronizing Service Boundaries and <mapping> Elements Based on the Location-to-Service Translation (LoST) Protocol
H. Schulzrinne
H. Tschofenig
October 2012
RFC 6739
DOI 10.17487/RFC6739
[RFC6749]

The OAuth 2.0 Authorization Framework
D. Hardt, Ed.
October 2012
RFC 6749
DOI 10.17487/RFC6749
[RFC6750]

The OAuth 2.0 Authorization Framework: Bearer Token Usage
M. Jones
D. Hardt
October 2012
RFC 6750
DOI 10.17487/RFC6750
[RFC7030]

Enrollment over Secure Transport
M. Pritikin, Ed.
P. Yee, Ed.
D. Harkins, Ed.
October 2013
RFC 7030
DOI 10.17487/RFC7030
[RFC7465]

Prohibiting RC4 Cipher Suites
A. Popov
February 2015
RFC 7465
DOI 10.17487/RFC7465
[RFC7507]

TLS Fallback Signaling Cipher Suite Value (SCSV) for Preventing Protocol Downgrade Attacks
B. Moeller
A. Langley
April 2015
RFC 7507
DOI 10.17487/RFC7507
[RFC7525]

Recommendations for Secure Use of Transport Layer Security (TLS) and Datagram Transport Layer Security (DTLS)
Y. Sheffer
R. Holz
P. Saint-Andre
May 2015
BCP 195
RFC 7525
DOI 10.17487/RFC7525
[RFC7562]

Transport Layer Security (TLS) Authorization Using Digital Transmission Content Protection (DTCP) Certificates
D. Thakore
July 2015
RFC 7562
DOI 10.17487/RFC7562
[RFC7568]

Deprecating Secure Sockets Layer Version 3.0
R. Barnes
M. Thomson
A. Pironti
A. Langley
June 2015
RFC 7568
DOI 10.17487/RFC7568
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
[RFC8422]

Elliptic Curve Cryptography (ECC) Cipher Suites for Transport Layer Security (TLS) Versions 1.2 and Earlier
Y. Nir
S. Josefsson
M. Pegourie-Gonnard
August 2018
RFC 8422
DOI 10.17487/RFC8422
Informative References
[Bhargavan2016]

Transcript Collision Attacks: Breaking Authentication in TLS, IKE, and SSH
Karthikeyan Bhargavan
INRIA
Gaetan Leuren
INRIA
February 2016
DOI 10.14722/ndss.2016.23418
[NIST800-52r2]

Guidelines for the Selection, Configuration, and Use of Transport Layer Security (TLS) Implementations NIST SP800-52r2
National Institute of Standards and Technology
August 2019
DOI 10.6028/NIST.SP.800-52r2
[RFC3316]

Internet Protocol Version 6 (IPv6) for Some Second and Third Generation Cellular Hosts
J. Arkko
G. Kuijpers
H. Soliman
J. Loughney
J. Wiljakka
April 2003
RFC 3316
DOI 10.17487/RFC3316
[RFC3489]

STUN - Simple Traversal of User Datagram Protocol (UDP) Through Network Address Translators (NATs)
J. Rosenberg
J. Weinberger
C. Huitema
R. Mahy
March 2003
RFC 3489
DOI 10.17487/RFC3489
[RFC3546]

Transport Layer Security (TLS) Extensions
S. Blake-Wilson
M. Nystrom
D. Hopwood
J. Mikkelsen
T. Wright
June 2003
RFC 3546
DOI 10.17487/RFC3546
[RFC3588]

Diameter Base Protocol
P. Calhoun
J. Loughney
E. Guttman
G. Zorn
J. Arkko
September 2003
RFC 3588
DOI 10.17487/RFC3588
[RFC3734]

Extensible Provisioning Protocol (EPP) Transport Over TCP
S. Hollenbeck
March 2004
RFC 3734
DOI 10.17487/RFC3734
[RFC3920]

Extensible Messaging and Presence Protocol (XMPP): Core
P. Saint-Andre, Ed.
October 2004
RFC 3920
DOI 10.17487/RFC3920
[RFC4132]

Addition of Camellia Cipher Suites to Transport Layer Security (TLS)
S. Moriai
A. Kato
M. Kanda
July 2005
RFC 4132
DOI 10.17487/RFC4132
[RFC4244]

An Extension to the Session Initiation Protocol (SIP) for Request History Information
M. Barnes, Ed.
November 2005
RFC 4244
DOI 10.17487/RFC4244
[RFC4347]

Datagram Transport Layer Security
E. Rescorla
N. Modadugu
April 2006
RFC 4347
DOI 10.17487/RFC4347
[RFC4366]

Transport Layer Security (TLS) Extensions
S. Blake-Wilson
M. Nystrom
D. Hopwood
J. Mikkelsen
T. Wright
April 2006
RFC 4366
DOI 10.17487/RFC4366
[RFC4492]

Elliptic Curve Cryptography (ECC) Cipher Suites for Transport Layer Security (TLS)
S. Blake-Wilson
N. Bolyard
V. Gupta
C. Hawk
B. Moeller
May 2006
RFC 4492
DOI 10.17487/RFC4492
[RFC4507]

Transport Layer Security (TLS) Session Resumption without Server-Side State
J. Salowey
H. Zhou
P. Eronen
H. Tschofenig
May 2006
RFC 4507
DOI 10.17487/RFC4507
[RFC4572]

Connection-Oriented Media Transport over the Transport Layer Security (TLS) Protocol in the Session Description Protocol (SDP)
J. Lennox
July 2006
RFC 4572
DOI 10.17487/RFC4572
[RFC4934]

Extensible Provisioning Protocol (EPP) Transport Over TCP
S. Hollenbeck
May 2007
RFC 4934
DOI 10.17487/RFC4934
[RFC5077]

Transport Layer Security (TLS) Session Resumption without Server-Side State
J. Salowey
H. Zhou
P. Eronen
H. Tschofenig
January 2008
RFC 5077
DOI 10.17487/RFC5077
[RFC5081]

Using OpenPGP Keys for Transport Layer Security (TLS) Authentication
N. Mavrogiannopoulos
November 2007
RFC 5081
DOI 10.17487/RFC5081
[RFC5101]

Specification of the IP Flow Information Export (IPFIX) Protocol for the Exchange of IP Traffic Flow Information
B. Claise, Ed.
January 2008
RFC 5101
DOI 10.17487/RFC5101
[RFC5246]

The Transport Layer Security (TLS) Protocol Version 1.2
T. Dierks
E. Rescorla
August 2008
RFC 5246
DOI 10.17487/RFC5246
[RFC5415]

Control And Provisioning of Wireless Access Points (CAPWAP) Protocol Specification
P. Calhoun, Ed.
M. Montemurro, Ed.
D. Stanley, Ed.
March 2009
RFC 5415
DOI 10.17487/RFC5415
[RFC5456]

IAX: Inter-Asterisk eXchange Version 2
M. Spencer
B. Capouch
E. Guy, Ed.
F. Miller
K. Shumard
February 2010
RFC 5456
DOI 10.17487/RFC5456
[RFC6012]

Datagram Transport Layer Security (DTLS) Transport Mapping for Syslog
J. Salowey
T. Petch
R. Gerhards
H. Feng
October 2010
RFC 6012
DOI 10.17487/RFC6012
[RFC6083]

Datagram Transport Layer Security (DTLS) for Stream Control Transmission Protocol (SCTP)
M. Tuexen
R. Seggelmann
E. Rescorla
January 2011
RFC 6083
DOI 10.17487/RFC6083
[RFC6084]

General Internet Signaling Transport (GIST) over Stream Control Transmission Protocol (SCTP) and Datagram Transport Layer Security (DTLS)
X. Fu
C. Dickmann
J. Crowcroft
January 2011
RFC 6084
DOI 10.17487/RFC6084
[RFC6347]

Datagram Transport Layer Security Version 1.2
E. Rescorla
N. Modadugu
January 2012
RFC 6347
DOI 10.17487/RFC6347
[RFC6460]

Suite B Profile for Transport Layer Security (TLS)
M. Salter
R. Housley
January 2012
RFC 6460
DOI 10.17487/RFC6460
[RFC6614]

Transport Layer Security (TLS) Encryption for RADIUS
S. Winter
M. McCauley
S. Venaas
K. Wierenga
May 2012
RFC 6614
DOI 10.17487/RFC6614
[RFC7457]

Summarizing Known Attacks on Transport Layer Security (TLS) and Datagram TLS (DTLS)
Y. Sheffer
R. Holz
P. Saint-Andre
February 2015
RFC 7457
DOI 10.17487/RFC7457
[RFC8143]

Using Transport Layer Security (TLS) with Network News Transfer Protocol (NNTP)
J. Elie
April 2017
RFC 8143
DOI 10.17487/RFC8143
[RFC8261]

Datagram Transport Layer Security (DTLS) Encapsulation of SCTP Packets
M. Tuexen
R. Stewart
R. Jesup
S. Loreto
November 2017
RFC 8261
DOI 10.17487/RFC8261
[RFC8446]

The Transport Layer Security (TLS) Protocol Version 1.3
E. Rescorla
August 2018
RFC 8446
DOI 10.17487/RFC8446
[RFC8447]

IANA Registry Updates for TLS and DTLS
J. Salowey
S. Turner
August 2018
RFC 8447
DOI 10.17487/RFC8447
Acknowledgements
Thanks to those that provided usage data and reviewed and/or improved this document, including: Michael Ackermann, David Benjamin, David Black, Deborah Brungard, Alan DeKok, Viktor Dukhovni, Julien Élie, Adrian Farrelll, Gary Gapinski, Alessandro Ghedini, Peter Gutmann, Jeremy Harris, Nick Hilliard, James Hodgkinson, Russ Housley, Hubert Kario, Benjamin Kaduk, John Klensin, Watson Ladd, Eliot Lear, Ted Lemon, John Mattsson, Keith Moore, Tom Petch, Eric Mill, Yoav Nir, Andrei Popov, Michael Richardson, Eric Rescorla, Rich Salz, Mohit Sethi, Yaron Sheffer, Rob Sayre, Robert Sparks, Barbara Stark, Martin Thomson, Sean Turner, Loganaden Velvindron, Jakub Wilk, and Christopher Wood.
Authors' Addresses
Kathleen Moriarty
Center for Internet Security (CIS)
East Greenbush
NY
United States of America
Kathleen.Moriarty.ietf@gmail.com
Stephen Farrell
Trinity College Dublin
Dublin
2
Ireland
+353-1-896-2354
stephen.farrell@cs.tcd.ie